using System;
using System.Collections.Generic;
using System.Text;
using VT.FW.DB;

namespace Mall.Model.Entity.Education
{
    /// <summary>
    ///  教育-老师动态评论管理实体表
    /// </summary>
    [Serializable]
    [DB(ConnectionName = "DefaultConnection")]
    public class Rb_Education_DynamicComment
    {
        /// <summary>
        /// 评论id
        /// </summary>        
        public int Id
        {
            get;
            set;
        }
        /// <summary>
        /// 文章id
        /// </summary>        
        public int ArticleId
        {
            get;
            set;
        }

        /// <summary>
        /// 商户id
        /// </summary>
        public int TenantId { get; set; }

        /// <summary>
        /// 小程序id
        /// </summary>
        public int MallBaseId { get; set; }

        /// <summary>
        /// 评论创建人Id
        /// </summary>        
        public int UserId
        {
            get;
            set;
        }
        /// <summary>
        /// 创建时间
        /// </summary>        
        public DateTime? CreateTime
        {
            get;
            set;
        }
        /// <summary>
        /// 评论回复id
        /// </summary>        
        public int? CommentId
        {
            get;
            set;
        }
        /// <summary>
        /// 评论内容
        /// </summary> 
        public string Content
        {
            get;
            set;
        }
        /// <summary>
        /// 状态 0:正常，1：删除
        /// </summary>        
        public int? Status
        {
            get;
            set;
        }
    }
}
